summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-libs')
-rw-r--r--dev-libs/xerces-c/files/xerces-c-3.1.4-fix-build-system.patch9
-rw-r--r--dev-libs/xerces-c/xerces-c-3.1.4-r1.ebuild (renamed from dev-libs/xerces-c/xerces-c-3.1.4.ebuild)5
2 files changed, 4 insertions, 10 deletions
diff --git a/dev-libs/xerces-c/files/xerces-c-3.1.4-fix-build-system.patch b/dev-libs/xerces-c/files/xerces-c-3.1.4-fix-build-system.patch
index 8bd8ba1b4cfe..6b991d24b56f 100644
--- a/dev-libs/xerces-c/files/xerces-c-3.1.4-fix-build-system.patch
+++ b/dev-libs/xerces-c/files/xerces-c-3.1.4-fix-build-system.patch
@@ -1,6 +1,5 @@
* Fix build system when USE="-threads"
* Add DESTDIR in order to prevent sandbox failure
-* Don't build samples
--- a/configure.ac
+++ b/configure.ac
@@ -12,14 +11,6 @@
# Checks for library functions.
#AC_FUNC_ERROR_AT_LINE
---- a/Makefile.am
-+++ b/Makefile.am
-@@ -1,4 +1,4 @@
--SUBDIRS = src tests samples
-+SUBDIRS = src tests
-
- EXTRA_DIST = version.incl \
- xerces-c.spec \
--- a/src/xercesc/util/MsgLoaders/MsgCatalog/Makefile.in
+++ b/src/xercesc/util/MsgLoaders/MsgCatalog/Makefile.in
@@ -5,7 +5,7 @@
diff --git a/dev-libs/xerces-c/xerces-c-3.1.4.ebuild b/dev-libs/xerces-c/xerces-c-3.1.4-r1.ebuild
index c8782fb0127c..5c5b6b432d36 100644
--- a/dev-libs/xerces-c/xerces-c-3.1.4.ebuild
+++ b/dev-libs/xerces-c/xerces-c-3.1.4-r1.ebuild
@@ -100,7 +100,10 @@ src_install () {
find "${D}" -name '*.la' -delete || die
if use examples; then
- rm -f samples/Makefile* || die
+ # clean out object files, executables, Makefiles
+ # and the like before installing examples
+ find samples/ \( -type f -executable -o -iname 'runConfigure' -o -iname '*.o' \
+ -o -iname '.libs' -o -iname 'Makefile*' \) -exec rm -rf '{}' + || die
docinto examples
dodoc -r samples/.
docompress -x /usr/share/doc/${PF}/examples